STAAD.Pro CONNECT Edition Readme

Installation Requirements

A CD drive or access to the Internet is required for product installation. The minimum system configuration for installation is:

Supported Operating Systems
  • Windows 10 (64-bit) - Home, Pro, Enterprise, and Education
  • Windows 8.1 (64-bit) - Standard, Pro, and Enterprise
Note: You must have the following Microsoft updates installed on your machine:
  • KB4340917 - For Windows 10 Version 1803 Builds prior to 10.0.17134.191. The changes in KB4340917 are built into the August 2018 monthly update of Windows 10.
  • KB2999226 - For Windows 8.1, Windows Server 2008 R2 SP1, and Windows Server 2012
  • KB2999226 - For Windows 8.1 (64bit)
  • KB2919355 - For Windows 8.1 and Windows Server 2012

Bentley does not support its software running on Microsoft operating systems versions that Microsoft has "retired". For more information on Microsoft's application retirement policy, click here. For similar information on Bentley products, refer to the Bentley Product Support article.

Communications Protocols
  • Internet Protocol version 4 (IPv4)
  • Internet Protocol version 6 (IPv6)
Software Prerequisites This STAAD.Pro installation package will attempt to install all the required prerequisites for STAAD.Pro CONNECT Edition, before installing STAAD.Pro itself. If the current system does not have Microsoft .NET Framework Version 4.6.2 installed, this installation package will attempt download the relevant installer from Microsoft hosted web site and thus an active Internet connection is a must for successful execution of installation tasks.
Note: ".NET Framework" is large installation and if needed on the local system may require considerable time to complete the installation depending on the Internet connection state and download speed available.

The following required runtime components are packaged with this installer:

  • Microsoft .NET Framework 4.6.1
  • Microsoft Visual C++ 2008 Redistributable
  • Microsoft Visual C++ 2012 Redistributable
  • Microsoft Visual C++ 2013 Redistributable
  • Microsoft Visual C++ 2015 Redistributable
  • Microsoft SQL Server Compact 3.5 SP2
  • Microsoft Access Database engine (2010)

Microsoft Internet Explorer, minimum v11.0, with 128-bit cipher strength. Microsoft no longer supports any versions prior to v11.0. Internet Explorer is not installed as part of the product pre-requisites.

Copyrights in all components are owned by Microsoft Corporation or one of its affiliates, subsidiaries, or licensors.

It is highly recommended that you close any programs and disable any antivirus software that is running prior to the installation of this software. Be sure to turn your antivirus software back on again when you are finished.